﻿Imports Logistik_Tool.dtsLogistik
Public Class dlgMitarbeiterAuswahl

	Public Sub New()
		InitializeComponent()
		Dts.Register(Me, False)
	End Sub

	Private Sub btnSuche_Click(sender As Object, e As EventArgs) Handles btnSuche.Click
		'TODO Standorterkennung einbauen, es dürfen nur die Mitarbeiter angezeigt werden, die den 
		'Standorten hinter dem Mitarbeiter entsprechen
		'Falls als Admin eingeloggt darf alles gezeigt werden
		Dim suchSpalte As DataColumn
		Dim tb As MitarbeiterDataTable = Dts.Mitarbeiter
		Select Case True
			Case rbtnName.Checked
				suchSpalte = tb.NameVornameColumn
			Case rbtnStandort.Checked
				suchSpalte = tb.Standort_1Column
			Case rbtnFunktion.Checked
				suchSpalte = tb.FunktionColumn
			Case Else
				suchSpalte = tb.NameVornameColumn
		End Select
		Dim expression = "1=0"
		Dim suchBegriff As String = Me.TbSuche.Text
		If suchBegriff <> "" Then
			If CbInaktiv.CheckState = CheckState.Checked Then
				expression = $"[{suchSpalte}] Like '*{suchBegriff}*'"
			Else
				expression = $"[{suchSpalte}] Like '*{suchBegriff}*' AND Aktiv = True"
			End If
		End If
		bsMitarbeiter.Filter = expression
	End Sub

	Private Sub DataGridView1_CellMouseDoubleClick(sender As Object, e As DataGridViewCellMouseEventArgs)
		Me.DialogResult = DialogResult.OK
	End Sub
End Class