﻿Imports System.IO
Imports Logistik_Tool.dtsLogistik

Public Class frmMain
	Private Sub btSaveDtsLogistik_Click(sender As Object, e As EventArgs) Handles btSaveDtsLogistik.Click, btBeenden.Click
		Select Case True
			Case sender Is btSaveDtsLogistik : Dts.save(Me)
			Case sender Is btBeenden : Me.Close()
		End Select
	End Sub

	Private Sub SwitchToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles SwitchToolStripMenuItem.Click
		If TV_main.Visible = True Then
			TV_main.Visible = False
			TV_main.Dock = DockStyle.None
		Else
			TV_main.Visible = True
			TV_main.Dock = DockStyle.Left
		End If
	End Sub

	Public Sub New()
		InitializeComponent()
		Dim fi = New FileInfo(My.Settings.Datenverzeichnis & "\userdata.xml")
		If Not fi.Exists Then fi = New FileInfo("..\..\Daten\userdata.xml")
		Dts.Register(Me, True).DataFile(fi.FullName).Fill
		fi = New FileInfo(My.Settings.Datenverzeichnis & "\Tree.xml")
		If Not fi.Exists Then fi = New IO.FileInfo("..\..\Daten\Tree.xml")
		dtsTree.dts_Tree.Register(Me, True).DataFile(fi.FullName).Fill
		dtsTree.dts_Tree.FillTree(TV_main)
		Me.TSS_main_lbl_tageskontrollblätter.Text = "Tageskontrollblätter mitführen bis einschl.: " & Date.Today.AddDays(-28)
	End Sub

	Private Sub DebugToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles DebugToolStripMenuItem.Click
		frmDebug.Show()
		frmDebug.Activate()
	End Sub

	Private Sub TV_main_NodeMouseDoubleClick(sender As Object, e As TreeNodeMouseClickEventArgs) Handles TV_main.NodeMouseDoubleClick
		Select Case e.Node.Name
			Case "StammdatenMitarbeiter"
				With frmStammdatenMitarbeiter
					.MdiParent = Me
					Using dlg = New dlgMitarbeiterAuswahl
						If dlg.ShowDialog <> DialogResult.OK OrElse dlg.bsMitarbeiter.At Is Nothing Then Return
						.bsMitarbeiter.MoveTo(dlg.bsMitarbeiter.At)
					End Using
					.Show()
					.BringToFront()
				End With
			Case "EinstellungenDatenverwaltung"
				With frmEinstellungenDaten
					.MdiParent = Me
					.Show()
					.BringToFront()
				End With
			Case "EinstellungenTreeView"
				With frmTreeSettings
					.MdiParent = Me
					.Show()
					.BringToFront()
				End With
			Case "AppBeenden"
				Application.Exit()
		End Select
	End Sub

End Class
